Bug 6823 - X doesn't crash gracefully
Summary: X doesn't crash gracefully
Status: RESOLVED FIXED
Alias: None
Product: xorg
Classification: Unclassified
Component: Server/General (show other bugs)
Version: 7.0.0
Hardware: x86 (IA32) Linux (All)
: high normal
Assignee: Xorg Project Team
QA Contact: Xorg Project Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-05-03 17:34 UTC by Caleb Cushing
Modified: 2007-02-27 05:08 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
Xorg.0.log (51.69 KB, text/plain)
2006-05-03 17:35 UTC, Caleb Cushing
no flags Details
xorg.conf (9.73 KB, text/plain)
2006-05-03 17:50 UTC, Caleb Cushing
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Caleb Cushing 2006-05-03 17:34:11 UTC
I used to get a blue screen saying X has failed to start blah blah blah would I
like to view the log blah blah. when I had something Wrong in the xorg.conf or
when a device like my mouse was missing. Now it hangs on a blank screen. I can't
do anything from that point (Including switching to a VT) because my mouse and
keyboard are locked. this problem might just be with xdm I'm not sure. I haven't
spent much time trying to figure it out because having to do a hard reset is not
good, and trying to crash X is not ideal. but if it's going to crash it should
do so without locking up my computer.

x11-apps/xdm-1.0.4
x11-base/xorg-server-1.0.2-r3
virtual/x11-7.0-r2
x11-base/xorg-x11-7.0-r1
Comment 1 Caleb Cushing 2006-05-03 17:35:35 UTC
Created attachment 5552 [details]
Xorg.0.log
Comment 2 Michel Dänzer 2006-05-03 17:46:25 UTC
Actually, this is usually due to the video driver locking up the graphics card.
Please attach (as opposed to paste) at least xorg.conf, if possible also a log
file (remounting the filesystem containing it with mount -o remount,sync might
help retrieving a useful log file).
Comment 3 Caleb Cushing 2006-05-03 17:50:19 UTC
Created attachment 5553 [details]
xorg.conf

what's wrong with the Xorg.0.log.old that I've attached? I'm not sure how I
would get a more useful log on this...
Comment 4 Michel Dänzer 2006-05-03 17:53:05 UTC
Whoops, sorry, I totally missed the log file somehow.

So the crash only occurs if the evdev driver can't find the device? If so, this
might be an evdev driver issue.

Note that you might be able to log in remotely and reboot cleanly after this.
Comment 5 Caleb Cushing 2006-05-03 17:56:14 UTC
oh this is NOT the xorg.conf that caused the crash I already removed the
offending lines. however nothing in the video driver section has changed.

 x11-drivers/xf86-video-ati-6.5.8.0
Comment 6 Caleb Cushing 2006-05-03 18:00:29 UTC
well I can find(In reply to comment #4)
> Whoops, sorry, I totally missed the log file somehow.
> 
> So the crash only occurs if the evdev driver can't find the device? If so, this
> might be an evdev driver issue.
> 
> Note that you might be able to log in remotely and reboot cleanly after this.

well I can cause X to crash for several reasons... In this case I was trying to
fix a problem with this. and I might be able to kill X remotely... I'm not sure.
but on reboot when X tried to start it black screened again. I ended up booting
to a rescue cd and removing the offending line from the configuration. The
problem is I should be getting a curses like screen asking if I want to view the
log. and then stopping the server so I can edit the xorg.conf. The crash itself
isn't a bug it's user error.
Comment 7 Michel Dänzer 2006-05-03 18:31:04 UTC
(In reply to comment #6)
> The crash itself isn't a bug it's user error.

No, a crash is always a bug, and it's just not always possible to recover. It
might be in this particular case, if so the culprit is most likely the video
driver. However, I'd suggest focussing on the crash itself.
Comment 8 Caleb Cushing 2006-05-03 18:36:10 UTC
hmm... well X failed to initialize because of I tried to have 2 CorePointers.
But it was probably the video driver as you suggested why it didn't kill itself.
I'm not actually sure which package update caused this. But it wasn't evdev
because I haven't updated that since I had to downgrade from an Alpha (or
something release) I have updated xf86-video-ati xorg-server and xdm. any ideas?
Comment 9 Michel Dänzer 2006-05-03 18:50:16 UTC
(In reply to comment #8)
> hmm... well X failed to initialize because of I tried to have 2 CorePointers.

That doesn't seem to be what the log file says. Do you still have the previous
xorg.conf for comparison?
Comment 10 Caleb Cushing 2006-05-03 18:59:24 UTC
Comment on attachment 5553 [details]
xorg.conf

>Section "ServerLayout"
>
>    InputDevice "Mouse0" "CorePointer"
>>   InputDevice "Mouse1"
>    InputDevice "Keyboard1" "CoreKeyboard"

I can't remember if I had added CorePointer to the end of Mouse1 or not. That
was the only change... but I no longer have the copy... There is a bug that...
I'm suposed to file on evdev... it changes the eventx if I unplug and replug my
usb receiver and X won't read that. which is why I was restarting in the
firstplace. However I've heard the driver has been re-written and I'm waiting
to see if they fixed it before filing...
Comment 11 Alan Coopersmith 2007-02-01 16:56:48 UTC
The blue curses screen was something added by your distro, not anything
distributed by X.Org.
Comment 12 Daniel Stone 2007-02-27 01:31:55 UTC
Sorry about the phenomenal bug spam, guys.  Adding xorg-team@ to the QA contact so bugs don't get lost in future.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.